Customer Satisfaction
1 min
PUT
https://api.b.preview.loyaltyservices.io/api/v3/customer-satisfaction
Query Parameters
- asyncbooleanDescriptionDefaultfalse
Body Parameters
- bodyCustomerSatisfactionDescription
- metricTypestringrequiredExample
- ace03stringrequiredExample
- reportDatestring<date>requiredFormatdate
- overridenumber<double>ExampleDescriptionFormatdouble
- scorenumber<double>Formatdouble
Responses
200
- CustomerSatisfaction
- metricTypestringrequiredExample
- ace03stringrequiredExample
- reportDatestring<date>requiredFormatdate
- overridenumber<double>ExampleDescriptionFormatdouble
- scorenumber<double>Formatdouble
202
- AsyncTask
- asyncTaskIdinteger<int64>Formatint64
- taskTypeCodestringExampleDescription
- taskCodestringExampleDescription
- requestDatestring<date-time>DescriptionFormatdate-time
- requestDataobjectDescription
- statusCodestringDescription
- responseDatestring<date-time>DescriptionFormatdate-time
- responseDataobjectDescription
- fileNamestringDescription
- lineNumberintegerDescription
- fileDatastringDescription
400
- ErrorResponse
- errorsValidationError[]Description
- codestringDescription
- fieldNamestringDescription
- messagestringDescription
- messageParametersobject[]Description
401
403
500
curl
curl --request PUT \
--url 'https://api.b.preview.loyaltyservices.io/api/v3/customer-satisfaction?async=boolean' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"metricType": "Overall Satisfaction",
"ace03": 20763,
"reportDate": ""
}'ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.b.preview.loyaltyservices.io/api/v3/customer-satisfaction?async=boolean")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"metricType": "Overall Satisfaction",
"ace03": 20763,
"reportDate": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.b.preview.loyaltyservices.io/api/v3/customer-satisfaction?async=boolean"
payload = json.dumps({
"metricType": "Overall Satisfaction",
"ace03": 20763,
"reportDate": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"metricType\": \"Overall Satisfaction\",\n \"ace03\": 20763,\n \"reportDate\": \"\"\n}");
Request request = new Request.Builder()
.url("https://api.b.preview.loyaltyservices.io/api/v3/customer-satisfaction?async=boolean")
.method("PUT", body)
.addHeader("accept", "application/json")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();200
// Success
{
"metricType": "Overall Satisfaction",
"ace03": 20763,
"reportDate": "",
"override": 30,
"score": ""
}202
// Accepted
{
"asyncTaskId": "",
"taskTypeCode": "PlatformAPI",
"taskCode": "enrollMember",
"requestDate": "",
"requestData": {},
"statusCode": "",
"responseDate": "",
"responseData": {},
"fileName": "",
"lineNumber": 0,
"fileData": ""
}400
// Bad request
{
"errors": [
{
"code": "",
"fieldName": "",
"message": "",
"messageParameters": [
{}
]
}
]
}401
// Unauthorized
403
// Forbidden
500
// Internal error